﻿using System;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            Session["dataSource"] = PopulateGrid();
        }

        this.WebDataGrid.DataSource = PopulateGrid();
        this.WebDataGrid.DataBind();
    }

    protected DataTable PopulateGrid()
    {
        DataTable dataTable = new DataTable();
        dataTable.Columns.Add("Id");
        dataTable.Columns.Add("Name");
        DataRow row;

        for (int i = 1; i <= 92; i++)
        {
            row = dataTable.NewRow();
            row.SetField("Id", i);
            row.SetField("Name", "Name #" + i);
            dataTable.Rows.Add(row);
        }

        return dataTable;
    }
}